Bug 2349 - Statistics and Reports generator
Statistics and Reports generator
Status: NEW
Product: OJS
Classification: Unclassified
Component: Journal Management
3.1
Macintosh Mac OS X 10.0
: P1 critical
Assigned To: PKP Support
http://journals.sfu.ca/pocol/index.ph...
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-26 12:35 PDT by John Willinsky
Modified: 2013-05-29 15:02 PDT (History)
1 user (show)

See Also:
Version Reported In:
Also Affects:


Attachments
Layout and design of Journal Statistics (95.00 KB, application/msword)
2007-01-06 21:07 PST, John Willinsky
Details

Note You need to log in before you can comment on or make changes to this bug.
Description John Willinsky 2006-07-26 12:35:46 PDT
Following numbers seem very wrong...
"Items Published"
"Accept"
"Days to publication" 

Peer reviewed= total submitted for period to peer-reviewed section(s)

Ensure that...
Accept+Decline+Resubmit=100%
(with remainder still in review)

CHANGE...
Note: Percentages for peer reviewed submissions may not add up to 100%, as items resubmitted are 
either accepted, declined, or still in process.
TO...
Note: Percentages for peer reviewed submissions include only those that have been accepted, declined 
or asked to resubmit for review.

CHANGE...
Check items to be made available to readers in About the Journal.
TO
Publish Statistics [In Gerogia, same size as Year]
Check items to be made available to readers in About the Journal.
Comment 1 Alec Smecher 2006-07-27 14:44:42 PDT
The problem here is the way the stats code limits dates; when you choose a year
(e.g. 2006 by default) it limits its stats to articles that were submitted in
that year. I think this makes sense for all except the "number of items
published" metric.

The days to publication appears to be accurate, given the above information.
Here is the list of articles and dates that were submitted in 2006 and
subsequently published:
+----------------------------------------------------+------------+------------+------+
| title                                              | date_sub   | date_pub   |
diff |
+----------------------------------------------------+------------+------------+------+
| Author Responds to Critics                         | 2006-07-11 | 2006-07-25 |
  14 |
| Theorizing the Politics of <i>Common Ground</i>    | 2006-05-04 | 2006-07-25 |
  82 |
| Visiting Giants                                    | 2006-04-28 | 2006-07-19 |
  82 |
| Forum on J. Edward Chamberlin's <i>If This Is Your | 2006-03-20 | 2006-07-25 |
 127 |
| An Open Letter to Ted Chamberlin by Way of Review  | 2006-03-13 | 2006-06-27 |
 106 |
| Sri Lankan English Literature and the Sri Lankan P | 2006-03-08 | 2006-03-23 |
  15 |
| Mangosteen; Globalisation; Crossing the Line; Your | 2006-02-23 | 2006-07-11 |
 138 |
| From the Garden of Languages, the Nectar of Art: A | 2006-02-10 | 2006-04-27 |
  76 |
| Ted Chamberlin Meets a Critic                      | 2006-01-16 | 2006-07-25 |
 190 |
| To Oriental Eyes                                   | 2006-01-02 | 2006-04-25 |
 113 |
+----------------------------------------------------+------------+------------+------+

The "Accept" number seems accurate as well -- remember that accepted items
haven't necessarily been published yet. (Also, I'm not sure I get your point
about Accept+Decline+Resubmit=100%, as there are also undecided items to consider.)
Comment 2 John Willinsky 2006-07-27 15:36:55 PDT
The more I review this (and it has been trying I realize) the more I come down to how people really want 
(and have to submit to overseers) only the Accept/Decline percentage (which should add up to 100%, 
and ignore what are otherwise the undecideds), we should go a step further with the "acceptance rate" 
and make the rule as follows: Accept+Decline=100%

Peer reviewed       [# of submissions to peer-reviewed sections for designated period]
   .Accepted            [# accepted during designated period, whenever they were submitted, % re declined] 
   .Declined             [# declined during designated period, with % re accepted] 
   .Days to review    [for those whose review is completed in the designated period]
   .Days to publication  {for those published in the designated period]
[We need tiny bullets for these as it is not otherwsie perfectly clear that they are a sub-set of Peer 
Reviewed submissions

DELETE
Note: Percentages for peer reviewed submissions may not add up to 100%, as items resubmitted are 
either accepted, declined, or still in process.

ADD
[ ] Most viewed articles      Top 10    [10/50/100 pulldown]  [Record] [based on viewings in designated 
period]
I am convinced by JMIR and others that this is a critical feature for encouraging readership, as well as a 
helpful indicator to readers.   
Model for output: http://pkp.ubc.ca/old_pocol/admin/editor/statistics.php?op=top_articles
Comment 3 John Willinsky 2006-07-27 15:53:26 PDT
CHANGE...
OJS calculates the following statistics for each journal. The "days to review" is calculated from date of 
submission (or designation of Review Version) to the initial Editor Decision, while the "days to publish" 
is measured for accepted submissions from its original uploading to its publication.

Select the sections for calculating this journal's peer-reviewed statistics.
[      ]
TO...

Identify the sections of the journal that are peer-reviewed.
[        ]

CHANGE...
Note: Percentages for peer reviewed submissions may not add up to 100%, as items resubmitted are 
either accepted, declined, or still in process.
TO...
Note: "Days to review" is calculated from date of submission (or designation of Review Version) to the 
initial Editor Decision (including "revisions required"), while "days to publish" covers from the uploading 
to the publication of accepted submissions.
Comment 4 Alec Smecher 2006-12-20 10:49:32 PST
The top-10 list that was in OJS 1.x should also be implemented.
Comment 5 John Willinsky 2006-12-20 11:14:57 PST
Most Popular Articles should have a number of display options, including "place on homepage right-hand frame" and "include in About the Journal," and also offer options of with or without actual figures.
Comment 6 John Willinsky 2007-01-06 21:07:17 PST
Created attachment 112 [details]
Layout and design of Journal Statistics
Comment 7 John Willinsky 2007-01-06 21:10:33 PST
Having gone very carefully over this yet again, please ignore all prior comments on this bug, and go with the design on the attachment for the Jurnal Statistics.

Note 
Accepted and Declined (which includes Resubmit for Review rulings) should add up to 100%, allowing for rounding off. 
Peer-reviewed accepts and declines only applies to those sections of journal in which peer-review is indicated in the Journal Sections.
Comment 8 Alec Smecher 2007-10-01 15:50:29 PDT
Deferring from 2.2. A stats & reports overhaul was identified as one of the best potential Synergies co-development opportunities.